Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::sfvec3f Class Reference
[Field Values]

Inheritance diagram for openvrml::sfvec3f:

[legend]
List of all members.

## Detailed Description

A 3-component vector node field value.

Model of
  FieldValue

## Public Types

typedef vec3f | value_type
| Type of value.

## Public Member Functions

| sfvec3f (const vec3f &vec=vec3f()) throw ()
| Construct.
virtual | ~sfvec3f () throw ()
| Destroy.
virtual std::auto_ptr< field_value > | clone () const throw (std::bad_alloc)
| Virtual copy constructor.
virtual field_value & | assign (const field_value &value) throw (std::bad_cast)
| Virtual assignment.
virtual type_id | type () const throw ()
| Get the field_value::type_id associated with this class.

## Public Attributes

vec3f | value
| 3-component vector value.

## Private Member Functions

virtual void | print (std::ostream &) const
| Print to an output stream.

## Related Functions

(Note that these are not member functions.)
bool | operator== (const sfvec3f &lhs, const sfvec3f &rhs) throw()
| Compare for equality.
bool | operator!= (const sfvec3f &lhs, const sfvec3f &rhs) throw()
| Compare for inequality.

## Member Typedef Documentation

openvrml::sfvec3f::value_type

| Type of value.

## Constructor & Destructor Documentation

openvrml::sfvec3f::sfvec3f | ( | const vec3f & | vec = `vec3f()` | ) | throw ()`[explicit]`

Construct.

Parameters:

  | vec | initial value.

openvrml::sfvec3f::~sfvec3f | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

std::auto_ptr< field_value > openvrml::sfvec3f::clone | ( |  | ) | const throw (std::bad_alloc)`[virtual]`

Virtual copy constructor.

Returns:
  a pointer to a copy of the object.

Exceptions:

  | std::bad_alloc | if memory allocation fails.

Implements openvrml::field_value.

field_value & openvrml::sfvec3f::assign | ( | const field_value & | value | ) | throw (std::bad_cast)`[virtual]`

Virtual assignment.

Parameters:

  | value | the new value to give the object.

Returns:
  a reference to the object.

Exceptions:

  | std::bad_cast | if `value` is not an SFBool.

Implements openvrml::field_value.

field_value::type_id openvrml::sfvec3f::type | ( |  | ) | const throw ()`[virtual]`

Get the field_value::type_id associated with this class.

Returns:
  `field_value::sfvec3f`.

Implements openvrml::field_value.

void openvrml::sfvec3f::print | ( | std::ostream & | out | ) | const`[private, virtual]`

Print to an output stream.

Parameters:

  | out | an output stream.

Implements openvrml::field_value.

## Friends And Related Function Documentation

bool operator== | ( | const sfvec3f & | lhs,
|  | const sfvec3f & | rhs
| ) | throw()`[related]`

Compare for equality.

Parameters:

  | lhs | left-hand operand.
  | rhs | right-hand operand.

Returns:
  `true` if `lhs` and `rhs` have the same value; `false` otherwise.

bool operator!= | ( | const sfvec3f & | lhs,
|  | const sfvec3f & | rhs
| ) | throw()`[related]`

Compare for inequality.

Parameters:

  | lhs | left-hand operand.
  | rhs | right-hand operand.

Returns:
  `true` if `lhs` and `rhs` do not have the same value; `false` otherwise.

## Member Data Documentation

openvrml::sfvec3f::value

| 3-component vector value.